# -*- coding: utf-8 -*-

from browshot import BrowshotClient
import time

browshot = BrowshotClient('my_api_key')


screenshot = browshot.screenshot_create('http://mobilio.net/', { 'instance_id': 12 })
time.sleep(60)

if screenshot['status'] == 'error':
  print "Screenshot failed: %s" % screenshot['error']
  exit(0)

# Share this screenshot
screenshot = browshot.screenshot_info(screenshot['id'])
if screenshot['status'] == 'finished':
  # share a screenshot (must be in finished state)
  share = browshot.screenshot_share(screenshot['id'], { 'note': 'Browshot is great!' })
  if share['status'] == 'ok':
    print "Screenshot shared at %s" % share['url']
  else:
    print "Sharing failed: %s\n" % share['error']